summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--kde-plasma/kinfocenter/Manifest1
-rw-r--r--kde-plasma/kinfocenter/kinfocenter-6.1.0-r5.ebuild81
-rw-r--r--metadata/md5-cache/kde-plasma/kinfocenter-6.1.0-r516
-rw-r--r--metadata/pkg_desc_index2
4 files changed, 99 insertions, 1 deletions
diff --git a/kde-plasma/kinfocenter/Manifest b/kde-plasma/kinfocenter/Manifest
index eb95220b..807fda15 100644
--- a/kde-plasma/kinfocenter/Manifest
+++ b/kde-plasma/kinfocenter/Manifest
@@ -1 +1,2 @@
DIST kinfocenter-5.27.11.tar.xz 1018276 BLAKE2B 921832d3c52abfe35d3b77f34161c630d54c6fe8675eac6b2dcc343ab21b7c30b501216c9762aa90a8f5bfc036d2d8859a7419478ec38a85afcbf90315788cc1 SHA512 24a9df9fb28637e39293669569e4be896956ecfc3a27719821a1498f541aed220e7ebcd0e1a0b63051562690a9400b7fefc9c1217763c87009745e886573205e
+DIST kinfocenter-6.1.0.tar.xz 720676 BLAKE2B 58c00b5305ba72ca20bcb1b6a07c3b6194fe2fdb2aa5168cb82892327ba708f3c2a2d6f3990fcffcdbe17912fe7d979e3fb71bb03f40dfae2c3178b3680575c9 SHA512 18579d342b2bcaf0d1945a070c7e98417499575143f7b001d696b2c9680572a26775a916673e8eb11804a66c74f3e4aaac5dfedeb382d6fbcb52b5c12c9f052d
diff --git a/kde-plasma/kinfocenter/kinfocenter-6.1.0-r5.ebuild b/kde-plasma/kinfocenter/kinfocenter-6.1.0-r5.ebuild
new file mode 100644
index 00000000..32886717
--- /dev/null
+++ b/kde-plasma/kinfocenter/kinfocenter-6.1.0-r5.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+ECM_HANDBOOK="forceoptional"
+KFMIN=6.3.0
+PVCUT=$(ver_cut 1-3)
+QTMIN=6.7.1
+inherit ecm plasma.kde.org optfeature
+
+DESCRIPTION="Utility providing information about the computer hardware"
+HOMEPAGE="https://userbase.kde.org/KInfoCenter"
+
+LICENSE="GPL-2" # TODO: CHECK
+SLOT="6"
+KEYWORDS="~amd64"
+IUSE="gles2-only usb"
+
+DEPEND="
+ >=dev-qt/qtbase-${QTMIN}:6[dbus,gles2-only=,gui,widgets]
+ >=dev-qt/qtdeclarative-${QTMIN}:6
+ >=kde-frameworks/kauth-${KFMIN}:6
+ >=kde-frameworks/kcmutils-${KFMIN}:6
+ >=kde-frameworks/kconfig-${KFMIN}:6
+ >=kde-frameworks/kcoreaddons-${KFMIN}:6
+ >=kde-frameworks/ki18n-${KFMIN}:6
+ >=kde-frameworks/kio-${KFMIN}:6
+ >=kde-frameworks/kservice-${KFMIN}:6
+ >=kde-frameworks/solid-${KFMIN}:6
+ gles2-only? ( || (
+ >=media-libs/mesa-24.1.0_rc1[opengl]
+ <media-libs/mesa-24.1.0_rc1[gles2]
+ ) )
+ usb? ( virtual/libusb:1 )
+"
+RDEPEND="${DEPEND}
+ || (
+ >=dev-qt/qttools-${QTMIN}:6[qdbus]
+ dev-qt/qdbus:*
+ )
+ >=kde-frameworks/kirigami-${KFMIN}:6
+ >=kde-plasma/kde-cli-tools-${PVCUT}:*
+ >=kde-plasma/systemsettings-${PVCUT}:6
+"
+BDEPEND=">=kde-frameworks/kcmutils-${KFMIN}:6"
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake_use_find_package usb USB1)
+ -DCMAKE_DISABLE_FIND_PACKAGE_SeleniumWebDriverATSPI=ON # missing
+ )
+
+ ecm_src_configure
+}
+
+src_install() {
+ ecm_src_install
+
+ # TODO: Make this fully obsolete by /etc/os-release
+ insinto /etc/xdg
+ doins "${FILESDIR}"/kcm-about-distrorc
+
+ insinto /usr/share/${PN}
+ doins "${FILESDIR}"/glogo-small.png
+}
+
+pkg_postinst() {
+ if [[ -z "${REPLACING_VERSIONS}" ]]; then
+ optfeature "NFS information module" net-fs/nfs-utils
+ optfeature "Samba status information module" net-fs/samba
+ optfeature "Vulkan graphics API information module" dev-util/vulkan-tools
+ optfeature "advanced CPU information module" sys-apps/util-linux
+ fi
+ optfeature "Wayland information module" app-misc/wayland-utils
+ optfeature "Firmware security module" "app-text/aha sys-apps/fwupd"
+ optfeature "OpenGL information module" x11-apps/mesa-progs
+ optfeature "PCI devices information module" sys-apps/pciutils
+ optfeature "X Server information module" x11-apps/xdpyinfo
+ ecm_pkg_postinst
+}
diff --git a/metadata/md5-cache/kde-plasma/kinfocenter-6.1.0-r5 b/metadata/md5-cache/kde-plasma/kinfocenter-6.1.0-r5
new file mode 100644
index 00000000..301de842
--- /dev/null
+++ b/metadata/md5-cache/kde-plasma/kinfocenter-6.1.0-r5
@@ -0,0 +1,16 @@
+BDEPEND=>=kde-frameworks/kcmutils-6.3.0:6 app-alternatives/ninja >=dev-build/cmake-3.20.5 handbook? ( >=kde-frameworks/kdoctools-6.3.0:6 ) dev-libs/libpcre2:* >=kde-frameworks/extra-cmake-modules-6.3.0:*
+DEFINED_PHASES=compile configure install nofetch postinst postrm preinst prepare setup test unpack
+DEPEND=>=dev-qt/qtbase-6.7.1:6[dbus,gles2-only=,gui,widgets] >=dev-qt/qtdeclarative-6.7.1:6 >=kde-frameworks/kauth-6.3.0:6 >=kde-frameworks/kcmutils-6.3.0:6 >=kde-frameworks/kconfig-6.3.0:6 >=kde-frameworks/kcoreaddons-6.3.0:6 >=kde-frameworks/ki18n-6.3.0:6 >=kde-frameworks/kio-6.3.0:6 >=kde-frameworks/kservice-6.3.0:6 >=kde-frameworks/solid-6.3.0:6 gles2-only? ( || ( >=media-libs/mesa-24.1.0_rc1[opengl] <media-libs/mesa-24.1.0_rc1[gles2] ) ) usb? ( virtual/libusb:1 ) dev-qt/qtbase:6
+DESCRIPTION=Utility providing information about the computer hardware
+EAPI=8
+HOMEPAGE=https://userbase.kde.org/KInfoCenter
+IDEPEND=dev-util/desktop-file-utils x11-misc/shared-mime-info
+INHERIT=ecm plasma.kde.org optfeature
+IUSE=gles2-only usb debug +handbook
+KEYWORDS=~amd64
+LICENSE=GPL-2
+RDEPEND=>=dev-qt/qtbase-6.7.1:6[dbus,gles2-only=,gui,widgets] >=dev-qt/qtdeclarative-6.7.1:6 >=kde-frameworks/kauth-6.3.0:6 >=kde-frameworks/kcmutils-6.3.0:6 >=kde-frameworks/kconfig-6.3.0:6 >=kde-frameworks/kcoreaddons-6.3.0:6 >=kde-frameworks/ki18n-6.3.0:6 >=kde-frameworks/kio-6.3.0:6 >=kde-frameworks/kservice-6.3.0:6 >=kde-frameworks/solid-6.3.0:6 gles2-only? ( || ( >=media-libs/mesa-24.1.0_rc1[opengl] <media-libs/mesa-24.1.0_rc1[gles2] ) ) usb? ( virtual/libusb:1 ) || ( >=dev-qt/qttools-6.7.1:6[qdbus] dev-qt/qdbus:* ) >=kde-frameworks/kirigami-6.3.0:6 >=kde-plasma/kde-cli-tools-6.1.0:* >=kde-plasma/systemsettings-6.1.0:6 || ( kde-frameworks/breeze-icons:* kde-frameworks/oxygen-icons:* ) >=kde-frameworks/kf-env-4 dev-qt/qtbase:6 !kde-plasma/kinfocenter:5
+SLOT=6
+SRC_URI=mirror://kde/stable/plasma/6.1.0/kinfocenter-6.1.0.tar.xz
+_eclasses_=cmake c7c9a62d6232cac66d4ea32d575c3e7c ecm 322462a1b61f437f69f66ac730eb98c5 flag-o-matic d309b9713dfc18e754cba88d3ba69653 kde.org 60fcb935e4206806bf9f38e3537521a2 multilib c19072c3cd7ac5cb21de013f7e9832e0 multiprocessing 30ead54fa2e2b5f9cd4e612ffc34d0fe ninja-utils 2df4e452cea39a9ec8fb543ce059f8d6 optfeature 222cb475c5a4f7ae7cfb0bf510a6fe54 plasma.kde.org 2999fb2a4a3f8dbce629c1fac6a95598 toolchain-funcs e56c7649b804f051623c8bc1a1c44084 virtualx 817571665ee28575da44ee08135089e5 xdg 4a14c5c24f121e7da66e5aab4a168c6e xdg-utils baea6080dd821f5562d715887954c9d3
+_md5_=e3411c4c68b615cb9d355de8815e1cb0
diff --git a/metadata/pkg_desc_index b/metadata/pkg_desc_index
index e45a83e9..3c635160 100644
--- a/metadata/pkg_desc_index
+++ b/metadata/pkg_desc_index
@@ -30,7 +30,7 @@ dev-python/typer 0.9.0-r2: Build great CLIs. Easy to code. Based on Python type
dev-python/wget 2.2-r3: Python library for downloading from http URLs
dev-python/zeroconf 0.82.1-r10: Pure Python Multicast DNS Service Discovery Library (Bonjour/Avahi compatible)
gui-libs/display-manager-init 1.1.2-r1: RC init files for starting display and login managers
-kde-plasma/kinfocenter 5.27.11-r5: Utility providing information about the computer hardware
+kde-plasma/kinfocenter 5.27.11-r5 6.1.0-r5: Utility providing information about the computer hardware
lxde-base/lxappearance 0.6.3-r5: LXDE GTK+ theme switcher
lxqt-base/lxqt-config 1.4.0-r1: LXQt system configuration control center
lxqt-base/lxqt-meta 1.4.0-r1: Meta ebuild for LXQt, the Lightweight Desktop Environment